curl "https://rxresu.me/api/openapi/applications/<id>" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/applications/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/applications/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"fallbackReason": "unsafe-url"
},
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Get application by ID
Returns a single job application with its full detail (contacts, activity timeline, linked resume). Only applications belonging to the authenticated user can be retrieved. Requires authentication.
curl "https://rxresu.me/api/openapi/applications/<id>" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/applications/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/applications/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"fallbackReason": "unsafe-url"
},
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
The API key to authenticate requests.
Path Parameters
The ID of the application.
Response
The job application.
The ID of the application.
The company applied to.
1The role / job title.
1The current pipeline stage. closed ends it, with a reason.
saved, applied, screening, interview, offer, closed Why a closed application ended: accepted, not-selected, withdrew, accepted-other or no-response.
accepted, not-selected, withdrew, accepted-other, no-response The linked Reactive Resume, if any.
The linked saved cover letter, if any.
The version of the linked resume saved when the application was sent (reached Applied).
The resume's Check score when it was sent, out of 100.
-9007199254740991 <= x <= 9007199254740991The version of the linked letter saved when the application was sent.
20000Show child attributes
Show child attributes
What the posting asks for, as read when the application was added.
0 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?